<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: JoyReference.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_joy_reference_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">JoyReference.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_joy_reference_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// %flair:license{</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// This file is part of the Flair framework distributed under the</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// CECILL-C License, Version 1.0.</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// %flair:license}</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"></span><span class="preprocessor">#ifndef JOYREFERENCE_H</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#define JOYREFERENCE_H</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_i_o_device_8h.html">IODevice.h</a>&gt;</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#include &lt;stdint.h&gt;</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword">namespace </span>core {</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">class </span>Quaternion;</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="keyword">class </span>AhrsData;</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;}</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">namespace </span>gui {</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keyword">class </span>LayoutPosition;</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;}</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;}</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keyword">class </span>JoyReference_impl;</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="keyword">namespace </span>filter {</div>
<div class="line"><a name="l00037"></a><span class="lineno"><a class="line" href="classflair_1_1filter_1_1_joy_reference.html">   37</a></span>&#160;<span class="keyword">class </span><a class="code" href="classflair_1_1filter_1_1_joy_reference.html">JoyReference</a> : <span class="keyword">public</span> <a class="code" href="classflair_1_1core_1_1_i_o_device.html">core::IODevice</a> {</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;  <a class="code" href="classflair_1_1filter_1_1_joy_reference.html#a94ca81b85cd96d94dfcc2f09f0479ad1">JoyReference</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1gui_1_1_layout_position.html">gui::LayoutPosition</a> *position, std::string name);</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;  <a class="code" href="classflair_1_1filter_1_1_joy_reference.html#a6ec8918b4bb75dbd712916990c49e898">~JoyReference</a>();</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1filter_1_1_joy_reference.html#a8dfbc87a1dac2b5929c16cf3da0703d6">SetRollAxis</a>(<span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1filter_1_1_joy_reference.html#a2ff85142cf57e16b601745f88a82c5d3">SetPitchAxis</a>(<span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1filter_1_1_joy_reference.html#a1743d36749d704a37fe68c1280c04e4d">SetYawAxis</a>(<span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1filter_1_1_joy_reference.html#affb67247575e4e38abb352ccf9088b01">SetAltitudeAxis</a>(<span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;  <a class="code" href="classflair_1_1core_1_1_ahrs_data.html">core::AhrsData</a> *<a class="code" href="classflair_1_1filter_1_1_joy_reference.html#ab840a472193ea2f5781805151c07fc44">GetReferenceOrientation</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;  <span class="keywordtype">float</span> <a class="code" href="classflair_1_1filter_1_1_joy_reference.html#aa25621e218a497c2380c43cbb554e529">ZRef</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;  <span class="keywordtype">float</span> <a class="code" href="classflair_1_1filter_1_1_joy_reference.html#a8ddb7e0a1b20291dadff81550d5a3796">DzRef</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;</div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;  <span class="keywordtype">float</span> <a class="code" href="classflair_1_1filter_1_1_joy_reference.html#a69099dbde49e1e891cd8359cff7da87a">RollTrim</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;  <span class="keywordtype">float</span> <a class="code" href="classflair_1_1filter_1_1_joy_reference.html#a642723322805c3e556eb455f3ad83ba2">PitchTrim</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;</div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1filter_1_1_joy_reference.html#a7d4b4c6ec69966afe7944466e1c63cbb">SetYawRef</a>(<span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;</div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1filter_1_1_joy_reference.html#a7d4b4c6ec69966afe7944466e1c63cbb">SetYawRef</a>(<a class="code" href="classflair_1_1core_1_1_quaternion.html">core::Quaternion</a> <span class="keyword">const</span> &amp;value);</div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;</div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1filter_1_1_joy_reference.html#a3746cc472ad6db4e7b4bf3d24ac3ac00">SetZRef</a>(<span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;</div>
<div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1filter_1_1_joy_reference.html#af404e0a05fc83d693e8f03597d02af18">RollTrimUp</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;</div>
<div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1filter_1_1_joy_reference.html#a7135749ee6e685177b7e4da5c81e312c">RollTrimDown</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;</div>
<div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1filter_1_1_joy_reference.html#ad43dee3ce4529912cf4a3eb640b9e7db">PitchTrimUp</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;</div>
<div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1filter_1_1_joy_reference.html#a78869c2adb38a63d12615f15d2412e56">PitchTrimDown</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;</div>
<div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1filter_1_1_joy_reference.html#a1c30d137fec61a42ffb2214248140342">Update</a>(<a class="code" href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">core::Time</a> time);</div>
<div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;</div>
<div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;<span class="keyword">private</span>:</div>
<div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;  <span class="keywordtype">void</span> UpdateFrom(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1io__data.html">core::io_data</a> *data);</div>
<div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160;</div>
<div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160;  <span class="keyword">class </span>JoyReference_impl *pimpl_;</div>
<div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;};</div>
<div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;} <span class="comment">// end namespace sensor</span></div>
<div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;} <span class="comment">// end namespace flair</span></div>
<div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160;</div>
<div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160;<span class="preprocessor">#endif // JOYREFERENCE_H</span></div>
<div class="ttc" id="classflair_1_1filter_1_1_joy_reference_html_a2ff85142cf57e16b601745f88a82c5d3"><div class="ttname"><a href="classflair_1_1filter_1_1_joy_reference.html#a2ff85142cf57e16b601745f88a82c5d3">flair::filter::JoyReference::SetPitchAxis</a></div><div class="ttdeci">void SetPitchAxis(float value)</div><div class="ttdoc">Set pitch axis value. </div></div>
<div class="ttc" id="classflair_1_1core_1_1io__data_html"><div class="ttname"><a href="classflair_1_1core_1_1io__data.html">flair::core::io_data</a></div><div class="ttdoc">Abstract class for data types. </div><div class="ttdef"><b>Definition:</b> io_data.h:94</div></div>
<div class="ttc" id="classflair_1_1filter_1_1_joy_reference_html_affb67247575e4e38abb352ccf9088b01"><div class="ttname"><a href="classflair_1_1filter_1_1_joy_reference.html#affb67247575e4e38abb352ccf9088b01">flair::filter::JoyReference::SetAltitudeAxis</a></div><div class="ttdeci">void SetAltitudeAxis(float value)</div><div class="ttdoc">Set thrust axis value. </div></div>
<div class="ttc" id="classflair_1_1filter_1_1_joy_reference_html_a94ca81b85cd96d94dfcc2f09f0479ad1"><div class="ttname"><a href="classflair_1_1filter_1_1_joy_reference.html#a94ca81b85cd96d94dfcc2f09f0479ad1">flair::filter::JoyReference::JoyReference</a></div><div class="ttdeci">JoyReference(const gui::LayoutPosition *position, std::string name)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_i_o_device_html"><div class="ttname"><a href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></div><div class="ttdoc">Abstract class for input/ouput system. </div><div class="ttdef"><b>Definition:</b> IODevice.h:45</div></div>
<div class="ttc" id="namespaceflair_html"><div class="ttname"><a href="namespaceflair.html">flair</a></div><div class="ttdoc">namespace of the flair Framework </div><div class="ttdef"><b>Definition:</b> Ahrs.h:19</div></div>
<div class="ttc" id="namespaceflair_1_1core_html_acc0fa041e08ecf73b2d1d723c339a736"><div class="ttname"><a href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">flair::core::Time</a></div><div class="ttdeci">unsigned long long Time</div><div class="ttdoc">Time definition, in ns. </div><div class="ttdef"><b>Definition:</b> Object.h:55</div></div>
<div class="ttc" id="classflair_1_1filter_1_1_joy_reference_html_a3746cc472ad6db4e7b4bf3d24ac3ac00"><div class="ttname"><a href="classflair_1_1filter_1_1_joy_reference.html#a3746cc472ad6db4e7b4bf3d24ac3ac00">flair::filter::JoyReference::SetZRef</a></div><div class="ttdeci">void SetZRef(float value)</div><div class="ttdoc">Set z reference. </div></div>
<div class="ttc" id="classflair_1_1filter_1_1_joy_reference_html_a78869c2adb38a63d12615f15d2412e56"><div class="ttname"><a href="classflair_1_1filter_1_1_joy_reference.html#a78869c2adb38a63d12615f15d2412e56">flair::filter::JoyReference::PitchTrimDown</a></div><div class="ttdeci">void PitchTrimDown(void)</div><div class="ttdoc">Trim down pitch. </div></div>
<div class="ttc" id="classflair_1_1filter_1_1_joy_reference_html_a1c30d137fec61a42ffb2214248140342"><div class="ttname"><a href="classflair_1_1filter_1_1_joy_reference.html#a1c30d137fec61a42ffb2214248140342">flair::filter::JoyReference::Update</a></div><div class="ttdeci">void Update(core::Time time)</div><div class="ttdoc">Update references. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_ahrs_data_html"><div class="ttname"><a href="classflair_1_1core_1_1_ahrs_data.html">flair::core::AhrsData</a></div><div class="ttdoc">Class defining AHRS datas. </div><div class="ttdef"><b>Definition:</b> AhrsData.h:30</div></div>
<div class="ttc" id="classflair_1_1filter_1_1_joy_reference_html_aa25621e218a497c2380c43cbb554e529"><div class="ttname"><a href="classflair_1_1filter_1_1_joy_reference.html#aa25621e218a497c2380c43cbb554e529">flair::filter::JoyReference::ZRef</a></div><div class="ttdeci">float ZRef(void) const </div><div class="ttdoc">Get z reference. </div></div>
<div class="ttc" id="classflair_1_1filter_1_1_joy_reference_html_a7d4b4c6ec69966afe7944466e1c63cbb"><div class="ttname"><a href="classflair_1_1filter_1_1_joy_reference.html#a7d4b4c6ec69966afe7944466e1c63cbb">flair::filter::JoyReference::SetYawRef</a></div><div class="ttdeci">void SetYawRef(float value)</div><div class="ttdoc">Set yaw reference. </div></div>
<div class="ttc" id="classflair_1_1filter_1_1_joy_reference_html_a642723322805c3e556eb455f3ad83ba2"><div class="ttname"><a href="classflair_1_1filter_1_1_joy_reference.html#a642723322805c3e556eb455f3ad83ba2">flair::filter::JoyReference::PitchTrim</a></div><div class="ttdeci">float PitchTrim(void) const </div><div class="ttdoc">Get pitch trim. </div></div>
<div class="ttc" id="_i_o_device_8h_html"><div class="ttname"><a href="_i_o_device_8h.html">IODevice.h</a></div><div class="ttdoc">Abstract class for input/ouput system. </div></div>
<div class="ttc" id="classflair_1_1filter_1_1_joy_reference_html_ab840a472193ea2f5781805151c07fc44"><div class="ttname"><a href="classflair_1_1filter_1_1_joy_reference.html#ab840a472193ea2f5781805151c07fc44">flair::filter::JoyReference::GetReferenceOrientation</a></div><div class="ttdeci">core::AhrsData * GetReferenceOrientation(void) const </div><div class="ttdoc">Get orientation reference. </div></div>
<div class="ttc" id="classflair_1_1filter_1_1_joy_reference_html_ad43dee3ce4529912cf4a3eb640b9e7db"><div class="ttname"><a href="classflair_1_1filter_1_1_joy_reference.html#ad43dee3ce4529912cf4a3eb640b9e7db">flair::filter::JoyReference::PitchTrimUp</a></div><div class="ttdeci">void PitchTrimUp(void)</div><div class="ttdoc">Trim up pitch. </div></div>
<div class="ttc" id="classflair_1_1filter_1_1_joy_reference_html"><div class="ttname"><a href="classflair_1_1filter_1_1_joy_reference.html">flair::filter::JoyReference</a></div><div class="ttdoc">Class creating references from a joystick. </div><div class="ttdef"><b>Definition:</b> JoyReference.h:37</div></div>
<div class="ttc" id="classflair_1_1filter_1_1_joy_reference_html_a69099dbde49e1e891cd8359cff7da87a"><div class="ttname"><a href="classflair_1_1filter_1_1_joy_reference.html#a69099dbde49e1e891cd8359cff7da87a">flair::filter::JoyReference::RollTrim</a></div><div class="ttdeci">float RollTrim(void) const </div><div class="ttdoc">Get roll trim. </div></div>
<div class="ttc" id="classflair_1_1filter_1_1_joy_reference_html_a8ddb7e0a1b20291dadff81550d5a3796"><div class="ttname"><a href="classflair_1_1filter_1_1_joy_reference.html#a8ddb7e0a1b20291dadff81550d5a3796">flair::filter::JoyReference::DzRef</a></div><div class="ttdeci">float DzRef(void) const </div><div class="ttdoc">Get z derivative reference. </div></div>
<div class="ttc" id="classflair_1_1filter_1_1_joy_reference_html_a6ec8918b4bb75dbd712916990c49e898"><div class="ttname"><a href="classflair_1_1filter_1_1_joy_reference.html#a6ec8918b4bb75dbd712916990c49e898">flair::filter::JoyReference::~JoyReference</a></div><div class="ttdeci">~JoyReference()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="classflair_1_1gui_1_1_layout_position_html"><div class="ttname"><a href="classflair_1_1gui_1_1_layout_position.html">flair::gui::LayoutPosition</a></div><div class="ttdoc">Class to define a position in a layout on the ground station. </div><div class="ttdef"><b>Definition:</b> LayoutPosition.h:28</div></div>
<div class="ttc" id="classflair_1_1filter_1_1_joy_reference_html_af404e0a05fc83d693e8f03597d02af18"><div class="ttname"><a href="classflair_1_1filter_1_1_joy_reference.html#af404e0a05fc83d693e8f03597d02af18">flair::filter::JoyReference::RollTrimUp</a></div><div class="ttdeci">void RollTrimUp(void)</div><div class="ttdoc">Trim up roll. </div></div>
<div class="ttc" id="classflair_1_1filter_1_1_joy_reference_html_a1743d36749d704a37fe68c1280c04e4d"><div class="ttname"><a href="classflair_1_1filter_1_1_joy_reference.html#a1743d36749d704a37fe68c1280c04e4d">flair::filter::JoyReference::SetYawAxis</a></div><div class="ttdeci">void SetYawAxis(float value)</div><div class="ttdoc">Set yaw axis value. </div></div>
<div class="ttc" id="classflair_1_1filter_1_1_joy_reference_html_a8dfbc87a1dac2b5929c16cf3da0703d6"><div class="ttname"><a href="classflair_1_1filter_1_1_joy_reference.html#a8dfbc87a1dac2b5929c16cf3da0703d6">flair::filter::JoyReference::SetRollAxis</a></div><div class="ttdeci">void SetRollAxis(float value)</div><div class="ttdoc">Set roll axis value. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_quaternion_html"><div class="ttname"><a href="classflair_1_1core_1_1_quaternion.html">flair::core::Quaternion</a></div><div class="ttdoc">Class defining a quaternion. </div><div class="ttdef"><b>Definition:</b> Quaternion.h:26</div></div>
<div class="ttc" id="classflair_1_1filter_1_1_joy_reference_html_a7135749ee6e685177b7e4da5c81e312c"><div class="ttname"><a href="classflair_1_1filter_1_1_joy_reference.html#a7135749ee6e685177b7e4da5c81e312c">flair::filter::JoyReference::RollTrimDown</a></div><div class="ttdeci">void RollTrimDown(void)</div><div class="ttdoc">Trim down roll. </div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_33c2ee9b1665499374b4225c427cf176.html">igep</a></li><li class="navelem"><a class="el" href="dir_f1fe274389177bd7e17de7949c4ffada.html">flair-src</a></li><li class="navelem"><a class="el" href="dir_3ef62148cf94871b4b6ee5d6e3a989c1.html">lib</a></li><li class="navelem"><a class="el" href="dir_c640b400eb634d478af9606dd6c9f1e6.html">FlairFilter</a></li><li class="navelem"><a class="el" href="dir_9f4b49da50e680b0f2ceec11232e4cfd.html">src</a></li><li class="navelem"><a class="el" href="_joy_reference_8h.html">JoyReference.h</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
